Retire an entity
post
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/retire/{resourceName}
Request
Path Parameters
-
resourceName(required): string
entity for which retire is initiated
Supported Media Types
- application/json
Root Schema : RetireSchema
Type:
objectTitle:
RetireSchemaGeography Structure Oracle
Show Source
-
id: string
Maximum Length:
30Unique identifier of the entity -
project: object
ProjectRef
Title:
ProjectRefProject Reference -
retirementDate: string
(date-time)
Retirement date-time of the entity
-
version: string
entity version
Nested Schema : ProjectRef
Type:
objectTitle:
ProjectRefProject Reference
Show Source
-
href: string
Unique reference of the project
-
id(required): string
Unique identifier of the project
-
name: string
Name of the project
-
version: string
Version of the project
Response
201 Response
Your request is successful and a new resource has been created.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
404 Response
Your request includes a resource URI that doesn't exist.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
Show Source
Error-
@schemaLocation: string
it provides a link to the schema describing a REST resource.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list)
-
message: string
Text that provide more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
Text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
url pointing to documentation describing the error
-
status: string
http error code extension like 400-2
Examples
cURL Command
The following example shows how to retire an entity provider by submitting a POST request on the REST resource using cURL.
curl -u username:password -X POST
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/v1/retire/{resourceName}
-D @retire.json | json_pp
Example of Request Body
The following example shows the contents of the request body in JSON format:
{
"id": "SUPREMO_OFFER",
"version": "2.0",
"retirementDate": "2026-02-27T00:00:00.000Z",
"project": {
"id": "Summer_Project",
"version": "1.0"
}
}Example of Response Body
The following example shows the contents of the response body in JSON format:
{
"id": "SUPREMO_OFFER",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/productOffering/SUPREMO_OFFER",
"name": "Supremo 5G Premium",
"isBundle": true,
"lastUpdate": "2026-03-04T09:45:30.812Z",
"lifecycleStatus": "Awaiting retirement",
"validFor": {
"startDateTime": "2025-09-03T00:00:00.000Z",
"endDateTime": "2026-02-27T00:00:00.000Z"
},
"version": "1.1",
"@type": "ProductOfferingOracle",
"isSellable": true,
"project": {
"id": "Summer_Project",
"name": "E2E_Premium_Revise",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/Summer_Project",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"lastUpdatedBy": "booth",
"created": "2026-02-25T11:41:04.000Z",
"createdBy": "booth",
"isLocked": false,
"versionState": 2,
"businessUnitId": 204,
"businessUnitName": "Vision Operations",
"productOfferingInfo": {
"trackAsAsset": true,
"isConfigurable": true,
"productType": "PACKAGE",
"isBillable": false,
"allowBYOD": false,
"allowManualOverride": false,
"pricingCommitType": "DYNAMIC",
"dynamicDiscountMethod": "PERCENTAGE"
},
"pricelist": [
{
"id": "DBE_NA_PL",
"name": "DBE NA Pricelist",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/pricelist/DBE_NA_PL",
"version": "1.0",
"@referredType": "PricelistOracle",
"@type": "PriceListGroupRefOracle",
"@baseType": "PricelistOracle",
],
"productOfferingPrice": [
{
"id": "POP-5GLTE-REC-FEE",
"name": "5G Lite Data Recurring Fee",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/productOfferingPrice/POP-5GLTE-REC-FEE",
"refId": "300100645101124_POP-5GLTE-REC-FEE",
"@referredType": "ProductOfferingPriceOracle",
"@type": "ProductOfferingPriceRef"
},
{
"id": "POP-5G-PREM-REC-FEE",
"name": "5G Premium Rec Fee",
"version": "1.0",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/productOfferingPrice/POP-5G-PREM-REC-FEE",
"refId": "300100645101124_POP-5G-PREM-REC-FEE",
"@referredType": "ProductOfferingPriceOracle",
"@type": "ProductOfferingPriceRef"
}
],
"bundledProductOffering": [
{
"versionState": 0,
"refId": "300100645101124_PO-WRLS-BUN-CB",
"refName": "Wireless Bundle",
"id": "PO-WRLS-BUN-CB",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/productOffering/PO-WRLS-BUN-CB",
"name": "Wireless Bundle",
"version": "1.0",
"@referredType": "ProductOfferingOracle",
"@type": "BundledProductOfferingOracle",
"@baseType": "ProductOfferingOracle",
"default": false,
"bundledProductOfferingOption": {
"numberRelOfferLowerLimit": 1,
"numberRelOfferUpperLimit": 1,
"numberRelOfferDefault": 1
},
"sequence": 1,
"action": "BPO_ACT_MODIFY",
"recommendable": true,
"productType": "COMMERCIAL_BUNDLE"
},
{
"versionState": 0,
"refId": "300100645101124_PO-AMAZN-PRIME",
"refName": "Amazon Prime",
"id": "PO-AMAZN-PRIME",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/productOffering/PO-AMAZN-PRIME",
"name": "Amazon Prime",
"version": "1.0",
"@referredType": "ProductOfferingOracle",
"@type": "BundledProductOfferingOracle",
"@baseType": "ProductOfferingOracle",
"default": false,
"bundledProductOfferingOption": {
"numberRelOfferLowerLimit": 1,
"numberRelOfferUpperLimit": 1,
"numberRelOfferDefault": 1
},
"sequence": 2,
"action": "BPO_ACT_MODIFY",
"recommendable": true,
"productType": "SERVICE"
}
]
}